Bug 132169 - ldapsam_compat broken in 3.0.6
Summary: ldapsam_compat broken in 3.0.6
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Enterprise Linux 3
Classification: Red Hat
Component: samba   
(Show other bugs)
Version: 3.0
Hardware: i686
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Jay Fenlason
QA Contact: David Lawrence
URL: https://bugzilla.samba.org/show_bug.c...
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2004-09-09 15:18 UTC by Dan Young
Modified: 2014-08-31 23:26 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-01-04 22:58:25 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Changeset 2258 as committed by Volker Lendecke <vl@samba.org> (766 bytes, patch)
2004-09-14 17:44 UTC, Jay Fenlason
no flags Details | Diff

Description Dan Young 2004-09-09 15:18:17 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.2)
Gecko/20040805 Epiphany/1.2.7

Description of problem:
See the bugzilla.samba.org URL above for full details. Samba produces
a traceback when a client connects while ldapsam_compat is configured
as a passdb backend.

It's fixed in SVN revision 2258.

Version-Release number of selected component (if applicable):
samba-3.0.6-2.3E

How reproducible:
Always

Steps to Reproduce:
1. Install samba-3.0.6
2. Configure passdb backend = ldapsam_compat
3. Login
    

Actual Results:  Traceback as documented at the bugzilla.samba.org URL.

Additional info:

Comment 1 Jay Fenlason 2004-09-14 17:41:13 UTC
This patch was not included in 3.0.7.  Did ldapsam_compat work
correctly with previous samba-3.0 packages?

Comment 2 Jay Fenlason 2004-09-14 17:44:53 UTC
Created attachment 103836 [details]
Changeset 2258 as committed by Volker Lendecke <vl@samba.org>

I'm attaching the changeset to this bug so I don't lose track of it.

Comment 3 Dan Young 2004-09-14 17:55:07 UTC
Yes, ldapsam_compat worked in all versions prior to 3.0.6 that I've
tried, including 3.0.4-6.3E.

Comment 4 David Lehman 2005-01-04 22:52:14 UTC
FWIW, the patch from Comment#2 is present in the latest RHEL3 samba errata
(samba-3.0.9-1.3E.2).




Note You need to log in before you can comment on or make changes to this bug.